View Issue Details

IDProjectCategoryView StatusLast Update
0001760Far ManagerPlugins APIpublic2011-10-03 11:48
ReporterMaximusAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001760: FSF.FarInputRecordToKey влияет на внутренние переменные фара
DescriptionВызов из плагина FSF.FarInputRecordToKey приводит к вызову CalcKeyCode, которая сбрасывает глобальные переменные фара (например ShiftPressed), установленные ранее в GetInputRecord.

Естественно, после этого у фара срывает крышу, например, начинет глючить KeyBar.

PS. Проблема возникла когда фар посылал в плагин KEY_NONE.
TagsNo tags attached.
Build2026

Activities

vskirdin

2011-05-06 15:10

administrator   bugnote:0006863

тестим - http://skirda-file.googlecode.com/files/m1760.7z

Maximus

2011-05-08 18:17

reporter   bugnote:0006865

Вроде нормально. По крайней мере, keybar больше не глючит.

vskirdin

2011-05-10 09:33

administrator   bugnote:0006866

build 2026

Issue History

Date Modified Username Field Change
2011-05-02 01:36 Maximus New Issue
2011-05-06 15:10 vskirdin Note Added: 0006863
2011-05-08 18:17 Maximus Note Added: 0006865
2011-05-10 09:33 vskirdin Note Added: 0006866
2011-05-10 09:33 vskirdin Assigned To => vskirdin
2011-05-10 09:33 vskirdin Status new => feedback
2011-10-03 10:57 Maximus Status feedback => resolved
2011-10-03 11:48 vskirdin Build => 2026
2011-10-03 11:48 vskirdin Status resolved => closed
2011-10-03 11:48 vskirdin Resolution open => fixed
2011-10-03 11:48 vskirdin Fixed in Version => 3.0